org.modeshape.jcr

## Class ExtensionLogger

- java.lang.Object
- - org.modeshape.jcr.ExtensionLogger

- All Implemented Interfaces:
    Logger

      public final class ExtensionLogger
      extends Object
      implements Logger

  Implementation of the `Logger` interface which delegates the logging operations to an I18n based `Logger` implementation, using pass-through I18n objects. This is implementation should be normally used by ModeShape extensions, to avoid coupling with the I18n objects and the -common module.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String message, Object... params)` Log a message at the DEBUG level according to the specified format and (optional) parameters.
    `void` | `debug(Throwable t, String message, Object... params)` Log an exception (throwable) at the DEBUG level with an accompanying message.
    `void` | `error(String message, Object... params)` Log a message at the ERROR level according to the specified format and (optional) parameters.
    `void` | `error(Throwable t, String message, Object... params)` Log an exception (throwable) at the ERROR level with an accompanying message.
    `static Logger` | `getLogger(Class<?> clazz)` Creates a new logger instance for the underlying class.
    `void` | `info(String message, Object... params)` Log a message at the INFO level according to the specified format and (optional) parameters.
    `void` | `info(Throwable t, String message, Object... params)` Log an exception (throwable) at the INFO level with an accompanying message.
    `boolean` | `isDebugEnabled()` Return whether messages at the DEBUG level are being logged.
    `boolean` | `isErrorEnabled()` Return whether messages at the ERROR level are being logged.
    `boolean` | `isInfoEnabled()` Return whether messages at the INFORMATION level are being logged.
    `boolean` | `isTraceEnabled()` Return whether messages at the TRACE level are being logged.
    `boolean` | `isWarnEnabled()` Return whether messages at the WARNING level are being logged.
    `void` | `trace(String message, Object... params)` Log a message at the TRACE level according to the specified format and (optional) parameters.
    `void` | `trace(Throwable t, String message, Object... params)` Log an exception (throwable) at the TRACE level with an accompanying message.
    `void` | `warn(String message, Object... params)` Log a message at the WARNING level according to the specified format and (optional) parameters.
    `void` | `warn(Throwable t, String message, Object... params)` Log an exception (throwable) at the WARNING level with an accompanying message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getLogger

          public static Logger getLogger(Class<?> clazz)

      Creates a new logger instance for the underlying class.
      Parameters:
        `clazz` - a `Class` instance; never null
      Returns:
        a `Logger` implementation

    - #### debug

          public void debug(String message,
                   Object... params)

      Description copied from interface: `Logger`
      Log a message at the DEBUG level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

      If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `message` - the message string
        `params` - the parameter values that are to replace the variables in the format string

    - #### debug

          public void debug(Throwable t,
                   String message,
                   Object... params)

      Description copied from interface: `Logger`
      Log an exception (throwable) at the DEBUG level with an accompanying message. If the exception is null, then this method calls `Logger.debug(String, Object...)`.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `t` - the exception (throwable) to log
        `message` - the message accompanying the exception
        `params` - the parameter values that are to replace the variables in the format string

    - #### error

          public void error(String message,
                   Object... params)

      Description copied from interface: `Logger`
      Log a message at the ERROR level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

      If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

      Specified by:
        `error` in interface `Logger`
      Parameters:
        `message` - the message string
        `params` - the parameter values that are to replace the variables in the format string

    - #### error

          public void error(Throwable t,
                   String message,
                   Object... params)

      Description copied from interface: `Logger`
      Log an exception (throwable) at the ERROR level with an accompanying message. If the exception is null, then this method calls `Logger.error(String, Object...)`.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `t` - the exception (throwable) to log
        `message` - the message accompanying the exception
        `params` - the parameter values that are to replace the variables in the format string

    - #### info

          public void info(String message,
                  Object... params)

      Description copied from interface: `Logger`
      Log a message at the INFO level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

      If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

      Specified by:
        `info` in interface `Logger`
      Parameters:
        `message` - the message string
        `params` - the parameter values that are to replace the variables in the format string

    - #### info

          public void info(Throwable t,
                  String message,
                  Object... params)

      Description copied from interface: `Logger`
      Log an exception (throwable) at the INFO level with an accompanying message. If the exception is null, then this method calls `Logger.info(String, Object...)`.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `t` - the exception (throwable) to log
        `message` - the message accompanying the exception
        `params` - the parameter values that are to replace the variables in the format string

    - #### trace

          public void trace(String message,
                   Object... params)

      Description copied from interface: `Logger`
      Log a message at the TRACE level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

      If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `message` - the message string
        `params` - the parameter values that are to replace the variables in the format string

    - #### trace

          public void trace(Throwable t,
                   String message,
                   Object... params)

      Description copied from interface: `Logger`
      Log an exception (throwable) at the TRACE level with an accompanying message. If the exception is null, then this method calls `Logger.trace(String, Object...)`.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `t` - the exception (throwable) to log
        `message` - the message accompanying the exception
        `params` - the parameter values that are to replace the variables in the format string

    - #### warn

          public void warn(String message,
                  Object... params)

      Description copied from interface: `Logger`
      Log a message at the WARNING level according to the specified format and (optional) parameters. The message should contain a pair of empty curly braces for each of the parameter, which should be passed in the correct order. The pattern consists of zero or more keys of the form `{n}`, where `n` is an integer starting at 0. Therefore, the first parameter replaces all occurrences of "{0}", the second parameter replaces all occurrences of "{1}", etc.

      If any parameter is null, the corresponding key is replaced with the string "null". Therefore, consider using an empty string when keys are to be removed altogether.

      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `message` - the message string
        `params` - the parameter values that are to replace the variables in the format string

    - #### warn

          public void warn(Throwable t,
                  String message,
                  Object... params)

      Description copied from interface: `Logger`
      Log an exception (throwable) at the WARNING level with an accompanying message. If the exception is null, then this method calls `Logger.warn(String, Object...)`.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `t` - the exception (throwable) to log
        `message` - the message accompanying the exception
        `params` - the parameter values that are to replace the variables in the format string

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Description copied from interface: `Logger`
      Return whether messages at the INFORMATION level are being logged.
      Specified by:
        `isInfoEnabled` in interface `Logger`
      Returns:
        true if INFORMATION log messages are currently being logged, or false otherwise.

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Description copied from interface: `Logger`
      Return whether messages at the WARNING level are being logged.
      Specified by:
        `isWarnEnabled` in interface `Logger`
      Returns:
        true if WARNING log messages are currently being logged, or false otherwise.

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Description copied from interface: `Logger`
      Return whether messages at the ERROR level are being logged.
      Specified by:
        `isErrorEnabled` in interface `Logger`
      Returns:
        true if ERROR log messages are currently being logged, or false otherwise.

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Description copied from interface: `Logger`
      Return whether messages at the DEBUG level are being logged.
      Specified by:
        `isDebugEnabled` in interface `Logger`
      Returns:
        true if DEBUG log messages are currently being logged, or false otherwise.

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Description copied from interface: `Logger`
      Return whether messages at the TRACE level are being logged.
      Specified by:
        `isTraceEnabled` in interface `Logger`
      Returns:
        true if TRACE log messages are currently being logged, or false otherwise.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.